> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Metadata for Creating Transactions



## OpenAPI

````yaml /openapi/crm.json get /metadata/transactions/create
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /metadata/transactions/create:
    get:
      tags:
        - Metadata
      summary: Get Metadata for Creating Transactions
      operationId: getMetadataTransactionsCreate
      parameters:
        - name: sort
          in: query
          required: false
          schema:
            type: string
            enum:
              - name
              - originalName
        - name: transactionType
          in: query
          required: true
          schema:
            type: string
            enum:
              - purchase
              - listing
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    originalName:
                      type: string
                    description:
                      type: string
                    config:
                      type: object
                      properties:
                        type:
                          type: string
                        required:
                          type: boolean
                    options:
                      type: array
                      items:
                        type: object
                        properties:
                          label:
                            type: string
                          value:
                            type: string
                        required:
                          - label
                          - value
                  required:
                    - name
                    - originalName
                    - description
        '409':
          description: Response for status 409
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                    enum:
                      - >-
                        Data for this credential is not ready yet. Please try
                        again.
                required:
                  - errorMessage
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Consumer JWT minted by the tenant's backend
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.